Subject: [Ietf-calsify] Event class

From: camerost at exchange.microsoft.com (Cameron Stillion)
Date: Wed Aug 25 17:36:14 2004

Chris has the right idea - and that also brings us closer to standard,
in my opinion.  We can simply depracate confidential and support custom
values. There are applications that currently use private and public
(Outlook in particular) and maintaining that notion will bolster
compatability.

cameron

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of
[email-masked]
Sent: Wednesday, August 25, 2004 3:18 PM
To: [email-masked]; [email-masked]
Subject: Re: [Ietf-calsify] Event class

Or maybe only define PRIVATE/PUBLIC and allow extensions to this using
X-PROPS?  This way we cover the baseline that we think everyone is
likely to want to try to use (and send) but there's still the
possibility of going beyond that...
-CS

[email-masked] wrote on 08/25/2004 06:21:55 PM:

> Cameron's valiant attempt to define the PRIVATE/CONFIDENTIAL divide 
> made me wonder if we aren't trying to standardize the snowflake.  The 
> definitions of such categories (and the number of categories needed) 
> could be as unique as our users.
>
> Or to put it another way, defining a tripartite value of 
> PRIVATE/CONFIDENTIAL/PUBLIC is ultimately just a [lame] attempt to 
> provide access control.  A pointer towards an access list (and a 
> default/fallback semantics of PUBLIC) might be both simpler and more 
> useful.  -- Nathaniel
>
> On Aug 23, 2004, at 12:55 PM, Doug Royer wrote:
>
> >
> >
> > [email-masked] wrote:
> >
> >> I believe the original intent was that a private meeting can only 
> >> be seen by the owner of the mail store.  Not by an assistant who 
> >> has access to your mail store.
> >>
> > Yes, I remember discussions where PRIVATE  were not  to be handed 
> > out to non-owners.
> >
> > The current webDav calendars have almost no access control at all. 
> > You can in many cases do an HTTP get and get the entire calendar. In

> > that model CLASS has almost no meaning and less privacy.
> >
> > However in CAP (and CalDav I hope) there is more security and the 
> > ability to enforce the better defined values.
> >
> >
> > --
> >
> > Doug Royer                     |   http://INET-Consulting.com
> > -------------------------------|-----------------------------
> > [email-masked]                 | Office: (208)520-4044
> > http://Royer.com/People/Doug   | Fax:    (866)594-8574
> >                               | Cell:   (208)520-4044
> >
> >              We Do Standards - You Need Standards
> >
> >
> > _______________________________________________
> > Ietf-calsify mailing list
> > [email-masked]
> > http://lists.osafoundation.org/mailman/listinfo/ietf-calsify
>
> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

_______________________________________________
Ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify